<?php 

$actions = array();

if (Yii::app()->user->checkAccess("playlist") )
    $actions[Yii::t('app','Edit')]=array( 	'image'=>'images/edit.gif', 
										'link'=> 'playlist/edit', 
										'options'=>array( "title"=>Yii::t('app',"Edit") ,
														  "class"=>"right")  
									); 
else 
    $actions[Yii::t('app','View')]=array( 	'image'=>'images/view.gif', 
										'link'=> array("playlist/view", "partial"=>true, 'height'=>'auto', 'width'=>476), 
										'click'=>"href = this.getAttribute('href'); tb_show('Playlist',href,false);",
										'options'=>array( "title"=>Yii::t('app',"View") ,
														  "class"=>"right") 
									);
                                    
if (Yii::app()->user->checkAccess("createPlaylist")){
   $actions[Yii::t('app','Delete')]=array( 'image'=>'images/x.gif', 
											'link'=> 'playlist/delete', 
											'options'=>array(	"class"=>"use_ajax del", 
																"title"=>Yii::t('app',"Delete") ) 
										);
}                                    

if ( !isset($options) ) $options=array();

if (!Yii::app()->request->isAjaxRequest) {

    LayoutHelper::openBorders();
    echo CHtml::openTag("div", array('class'=>'manage') );
    
    
    if (Yii::app()->user->checkAccess("program") ) {
        echo CHtml::beginForm( array("playlist/edit") );
        
        echo CHtml::submitButton(   Yii::t('app',"New"),
                                    array('class'=>'top-button button')
                                );
        echo CHtml::endForm();
    }
    echo CHtml::tag("h1", array(),  Yii::t('app',"Manage Playlists") );
    
}

if (!isset($previews) )
	$previews = array();
$this->widget('application.components.ListItems',array(
        'options' => $options,
        'media' => $playlists,
        'actions' => $actions,
        'previews' => $previews,
        )
    );

if (!Yii::app()->request->isAjaxRequest) {
    
    $title=array();
    $desc=array();
    
    if ( Yii::app()->user->checkAccess("playlist") ){
        $title[] = Yii::t('app', "Tip Create Playlists");
        $desc[] = CHtml::encode( Yii::t('app', "Playlists let you define a sequence of media to be used in Programs or Slides.") ). "<br/>" .
                  CHtml::encode( Yii::t('app', "To create a Playlist, click the New button.") );
    } else {
        $title[] = Yii::t('app', "Tip Playlists");
        $desc[] = CHtml::encode( Yii::t('app', "Playlists let you define a sequence of media to be used in Programs or Slides.") ). "<br/>" .
                  CHtml::encode( Yii::t('app', "Login as a user with 'Creator' rights to edit or create Playlists.") );
    }
    if ( count($playlists)==0 ) {
        if ( !Yii::app()->user->checkAccess("playlist") ){
            $title[] = Yii::t('app', "Tip User Rights");
            $desc[] = Yii::t('app', "You don't have sufficient permissions to create Playlists.") . "<br/>" .
                                    Yii::t('app', "Login as a user with 'Creator' rights to edit or create Playlists.");
        } 
    } else {
        $title[] =Yii::t('app', "Icon Description");
        $d =  "";  
        if (Yii::app()->user->checkAccess("playlist") )
            $d .= " ". CHtml::image('images/x.gif', Yii::t('app','Delete'), array('class'=>'icon-desc') ) . " " .Yii::t('app','Delete'). " ";
        
        if (Yii::app()->user->checkAccess("playlist") )
            $d .=  CHtml::image('images/edit.gif', Yii::t('app','Edit'), array('class'=>'icon-desc')) ." ". Yii::t('app','Edit'). " ";
        else
            $d .= CHtml::image('images/view.gif', Yii::t('app','View'), array('class'=>'icon-desc')) ." ". Yii::t('app','View'). " ";    
        $desc[] = $d;

        if ( Yii::app()->user->checkAccess("program")) {
            $title[] =  Yii::t('app', "Tip Display Playlist");
            $desc[] =   CHtml::encode( Yii::t('app', "Remember to add Playlists to Programs or Slides to display them on the screen.") );
        }
    }    
    $this->widget('application.components.Tip',array(   'title' =>  $title, 'desc' => $desc ));
    echo CHtml::closeTag("div" );
    LayoutHelper::closeBorders();
}

 